Class | Bio::FlatFileIndex::Flat_1::PrimaryNameSpace
In: | lib/bio/io/flatfile/index.rb
Parent: | Template::NameSpace

primary name space

Internal use only.

### Methods

filename mapping

### Public Instance methods

filename()

[Source]

          # File lib/bio/io/flatfile/index.rb, line 1028
    1028:         def filename
    1029:           File.join(dbname, "key_#{name}.key")
    1030:         end

mapping(filename)

[Source]

          # File lib/bio/io/flatfile/index.rb, line 1025
    1025:         def mapping(filename)
    1026:           FlatMappingFile.new(filename)
    1027:         end

[Validate]